/* Cambio di base da decimale */

#include <stdio.h>

#define NON_INIZIALIZZATO -1

int main(){
	int num=NON_INIZIALIZZATO;
	int base=NON_INIZIALIZZATO;

	while(num<=0){
		printf("Inserire un valore intero positivo: ");
		scanf("%d", &num);
	}
	while(base<=0){
		printf("Inserire una base (intero positivo): ");
		scanf("%d", &base);
	}
	printf("%d in base %d:\n", num, base);

	while(num>0) {
		printf("%d %% %d = %d\n", num, base, num%base);
		num=num/base;
	}
	
	return 0;
}
